Upgrading from LoRa Server v2 to LoRa Server v3


#1

After various test-versions, we have released LoRa Server v3! See:

LoRa Server v3 is not compatible with LoRa Gateway Bridge v2.x, but LoRa Server v2.7+ is compatible with LoRa Gateway Bridge v3!

When upgrading from LoRa Server v2 components to v3, this is the recommended upgrade path:

  • Update to the latest LoRa Server v2 release (v2.8.1)
  • Re-configure LoRa Server to be forward compatible with LoRa Gateway Bridge v3. You need to update your loraserver.toml configuration and enable the mqtt2to3 translation service. See these instructions).
  • Upgrade LoRa Gateway Bridge to v3.
  • Upgrade the remaining components to v3.

As always, it is recommended to make a backups before doing any upgrade.


Issue with mqtt2to3
pinned globally #2

#3

Hello @brocaar ,

I am unable to upgrade Lora gateway Bridge on ubuntu server. It says “lora-gateway-bridge is already the newest version (2.7.1).”

Any suggestions?


#4

Did you update your repository? Per https://www.loraserver.io/lora-gateway-bridge/install/debian/

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 1CE2AFD36DBCCA00

sudo echo "deb https://artifacts.loraserver.io/packages/3.x/deb stable main" | sudo tee /etc/apt/sources.list.d/loraserver.list
sudo apt-get update

Then:

sudo apt-get install --only-upgrade lora-gateway-bridge

Hope that helps


#5

Thank you.

I didnt realise the repo changed.